import { HTMLAttributes } from 'react';
export declare const Card: import('react').ForwardRefExoticComponent<HTMLAttributes<HTMLDivElement> & {
    variant?: import('./Card.types').CardVariant;
    padding?: import('./Card.types').CardPadding;
    interactive?: boolean;
} & import('react').RefAttributes<HTMLDivElement>>;
export declare const CardHeader: import('react').ForwardRefExoticComponent<HTMLAttributes<HTMLDivElement> & import('react').RefAttributes<HTMLDivElement>>;
export declare const CardContent: import('react').ForwardRefExoticComponent<HTMLAttributes<HTMLDivElement> & import('react').RefAttributes<HTMLDivElement>>;
export declare const CardFooter: import('react').ForwardRefExoticComponent<HTMLAttributes<HTMLDivElement> & import('react').RefAttributes<HTMLDivElement>>;
